Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.application.manager.persistence
Enum TemplateSearchCriteria.LOGICAL_OPERATOR

    java.lang.Object
      java.lang.Enum<TemplateSearchCriteria.LOGICAL_OPERATOR>
          com.bea.netuix.application.manager.persistence.TemplateSearchCriteria.LOGICAL_OPERATOR

All Implemented Interfaces
  Serializable, Comparable<TemplateSearchCriteria.LOGICAL_OPERATOR>

Enclosing class:
  TemplateSearchCriteria

    public static enum TemplateSearchCriteria.LOGICAL_OPERATOR

extends Enum<TemplateSearchCriteria.LOGICAL_OPERATOR>

Enum Constant Summary
`AND` The logical `and` operator
`OR` The logical `or` operator

Method Summary
`static TemplateSearchCriteria.LOGICAL_OPERATOR` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TemplateSearchCriteria.LOGICAL_OPERATOR[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final TemplateSearchCriteria.LOGICAL_OPERATOR AND

  The logical `and` operator

### OR

    public static final TemplateSearchCriteria.LOGICAL_OPERATOR OR

  The logical `or` operator

Method Detail

### values

    public static final TemplateSearchCriteria.LOGICAL_OPERATOR[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static TemplateSearchCriteria.LOGICAL_OPERATOR valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved